package com.yunzhi.marketing.excel.ActivityStatistics;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

@Data
public class ActivityDetailShareRecord {

    @ExcelIgnore
    private String activityId;

    /**
     * 活动类型
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "活动类型", index = 0)
    private String activityType;

    /**
     * 活动名称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "活动名称", index = 1)
    private String activityName;

    /**
     * 分享人数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "分享人数", index = 2)
    private Integer sharePersonNum;

    /**
     * 分享次数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "分享次数", index = 3)
    private Integer shareNum;

    /**
     * 新增注册用户数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "新增注册用户数", index = 4)
    private Integer addRegistNum;

    /**
     * 访问人数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "访问人数", index = 5)
    private Integer visitPersonNum;

    /**
     * 访问次数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "访问次数", index = 6)
    private Integer visitNum;


}
